require "numru/ggraph"
include NumRu

vnames = ['SurfTemp', 'VIH2OVap', 'VIH2OLiq', 'VIH2OSol', '']
#vnames = ['SurfTemp', 'VIH2OVap', 'VIH2OLiq', 'VIH2OSol', 'SOSeaIceMass']
dir    = '../util_vi-2015-11-14/out/'


figdir = 'figs'
#Dir::mkdir( figdir )
if !Dir.exist?(figdir)
  print 'Directory, ', figdir, ', does not exist.', "\n"
  exit
end

ncfn  = dir + '/' + vnames[0] + '.nc'

gphys = GPhys::NetCDF_IO.open(ncfn, vnames[0])

time = gphys.coord('time').val
tm = gphys.shape[-1]

ts = 0
te = tm - 1
#te = 0
#ts = 4 * 365
#te = ts
#te = 4 * 365
#ts = 4 * 365 * 19
#te = 4 * 365 * 20
#ts = 4 * 365 * 9
#te = ts + 4
#ts = 2 * 365 * 4
#te = 3 * 365 * 4 - 1


#for ivar in 0..(vnames.length-1)
  for t in ts..te
#    p vnames[ivar] + ' at time=' + time[t].to_s
    p 'time=' + time[t].to_s

    system('ruby draw.rb ' + dir + ' ' + t.to_s + ' ' + vnames[0] + ' ' + vnames[1] + ' ' + vnames[2] + ' ' + vnames[3] + ' ' + vnames[4] )

    com = sprintf( "mv dcl.pdf "+figdir+"/dcl_"+vnames[0]+vnames[1]+vnames[2]+vnames[3]+vnames[4]+"_"+"t%0#{6}d.pdf", t-ts )
    system(com)

#    system("convert -rotate 90 -background white -flatten dcl.pdf dcl.gif")
#    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"t%0#{6}d.gif", t )
#    system(com)
#    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"t%0#{6}d.ps" , t )
#    system(com)
  end
#end

